POST /sites/$site/menus/$menu_id
Update a navigation menu.
Resource Information
| Method | POST |
|---|---|
| URL | https://public-api.wordpress.com/rest/v1.1/sites/$site/menus/$menu_id |
| Requires authentication? | Yes |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | Site ID or domain |
| $menu_id | (int) | Menu ID |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| meta | (string) | Optional. Loads data from the endpoints found in the 'meta' part of the response. Comma-separated list. Example: meta=site,likes |
| fields | (string) | Optional. Returns specified fields only. Comma-separated list. Example: fields=ID,title |
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| name | (string) | Name of menu |
| items | (array) |
A list of menu item objects.
Item objects contain fields relating to that item, e.g. id, type, content_id, but they can also contain other items objects - this nesting represents parents and child items in the item tree. |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| menu | (object) | Updated menu object |
Resource Errors
This endpoint does not return any errors.
Example
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'name=Test Menu' \ 'https://public-api.wordpress.com/rest/v1.1/sites/82974409/menus/510604099'
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' =>
http_build_query( array (
'name' => 'Test Menu',
)),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1.1/sites/82974409/menus/510604099',
false,
$context
);
$response = json_decode( $response );
?>